perl-Test-Perl-Critic-Progressive-0.03-alt1_27.noarch.rpm


Advertisement

Description

perl-Test-Perl-Critic-Progressive - Gradually enforce coding standards

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Test-Perl-Critic-Progressive-0.03-alt1_27.noarch.rpm
Package name perl-Test-Perl-Critic-Progressive
Package version 0.03
Package release alt1_27
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 45.01 KB
Installed size 45.01 KB
Applying coding standards to large amounts of legacy code is a daunting
task. Often times, legacy code is so non-compliant that it seems downright
impossible. But, if you consistently chip away at the problem, you will
eventually succeed! Test::Perl::Critic::Progressive uses the Perl::Critic
engine to prevent further deterioration of your code and gradually steer it
towards conforming with your chosen coding standards.

Alternatives

Package Version Architecture Repository
perl-Test-Perl-Critic-Progressive - - -

Requires

Name Value
/usr/share/perl5 -
perl(Data/Dumper.pm) -
perl(English.pm) -
perl(File/Spec.pm) -
perl(FindBin.pm) -
perl(Perl/Critic.pm) >= 1.082
perl(Perl/Critic/Utils.pm) >= 1.082
perl(Test/Builder.pm) -
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Test/Perl/Critic/Progressive.pm) = 0.030
perl-Test-Perl-Critic-Progressive = 0.03-alt1_27

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Test-Perl-Critic-Progressive-0.03-alt1_27.noarch.rpm
Source Package perl-Test-Perl-Critic-Progressive-0.03-alt1_27.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Test-Perl-Critic-Progressive rpm package:
    # sudo apt-get install perl-Test-Perl-Critic-Progressive

Files

Path
/usr/share/doc/perl-Test-Perl-Critic-Progressive-0.03/Changes
/usr/share/doc/perl-Test-Perl-Critic-Progressive-0.03/LICENSE
/usr/share/doc/perl-Test-Perl-Critic-Progressive-0.03/README
/usr/share/doc/perl-Test-Perl-Critic-Progressive-0.03/TODO
/usr/share/perl5/Test/
/usr/share/perl5/Test/Perl/
/usr/share/perl5/Test/Perl/Critic/Progressive.pm

See Also

Package Description
perl-Test-Perl-Critic-XTFiles-0.001-alt1.noarch.rpm Perl::Critic test with XT::Files interface
perl-Test-Perl-Metrics-Lite-0.2-alt1.noarch.rpm Use Perl::Metrics::Lite in test programs
perl-Test-Perl-Metrics-Simple-0.1-alt1.noarch.rpm Use Perl::Metrics::Simple in test programs
perl-Test-PerlTidy-Concurrent-0.1.1-alt1.noarch.rpm Concurrent L<Test::PerlTidy> test executor
perl-Test-PerlTidy-XTFiles-0.001-alt1.noarch.rpm XT::Files interface for Test::PerlTidy
perl-Test-Ping-0.203-alt1.noarch.rpm Testing pings using Net::Ping
perl-Test-Plan-0.03-alt1.noarch.rpm add some intelligence to your test plan
perl-Test-Pockito-0.02-alt1.noarch.rpm Inspired by Mockito, a library to build mock objects for test driven development
perl-Test-Pod-Coverage-Permissive-0.05-alt1.noarch.rpm Checks for pod coverage regression
perl-Test-Pod-Links-0.003-alt1.noarch.rpm Test Pod for invalid HTTP/S links
perl-Test-Pod-No404s-0.02-alt1_19.noarch.rpm Checks POD for HTTP 404 links
perl-Test-Pod-Snippets-0.07-alt1.noarch.rpm Generate tests from pod code snippets
perl-Test-Pod-Spelling-CommonMistakes-1.001-alt1_14.noarch.rpm Checks POD for common spelling mistakes
perl-Test-PostgreSQL-1.27-alt1.noarch.rpm PostgreSQL runner for tests
perl-Test-Postgresql58-2.01-alt1.noarch.rpm PostgreSQL runner for tests
Advertisement
Advertisement